summaryrefslogtreecommitdiffstats
path: root/office/wordgrinder
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2012-08-21 20:17:47 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-21 20:17:47 -0500
commit2bba860af48ea8a240a11d5fea1a6b847197dac2 (patch)
treee775c97f84b962652e0e626bdf7d5648e311c074 /office/wordgrinder
parent37a333183b9ea17c0d5297f029d436faa33a7d38 (diff)
downloadslackbuilds-2bba860af48ea8a240a11d5fea1a6b847197dac2.tar.gz
slackbuilds-2bba860af48ea8a240a11d5fea1a6b847197dac2.tar.xz
office/wordgrinder: Added (ncurses word processor).
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office/wordgrinder')
-rw-r--r--office/wordgrinder/README5
-rw-r--r--office/wordgrinder/pmfile.patch41
-rw-r--r--office/wordgrinder/slack-desc19
-rw-r--r--office/wordgrinder/wordgrinder.SlackBuild77
-rw-r--r--office/wordgrinder/wordgrinder.info10
5 files changed, 152 insertions, 0 deletions
diff --git a/office/wordgrinder/README b/office/wordgrinder/README
new file mode 100644
index 0000000000..263163256c
--- /dev/null
+++ b/office/wordgrinder/README
@@ -0,0 +1,5 @@
+wordgrinder (ncurses word processor)
+
+WordGrinder is a Unicode-aware character cell word processor that runs
+in a terminal. It is designed to get the hell out of your way and let
+you get some work done.
diff --git a/office/wordgrinder/pmfile.patch b/office/wordgrinder/pmfile.patch
new file mode 100644
index 0000000000..98c9a2a5d7
--- /dev/null
+++ b/office/wordgrinder/pmfile.patch
@@ -0,0 +1,41 @@
+diff -Naur wordgrinder-0.3.3.orig/pmfile wordgrinder-0.3.3/pmfile
+--- wordgrinder-0.3.3.orig/pmfile 2009-12-13 14:44:53.000000000 +0100
++++ wordgrinder-0.3.3/pmfile 2012-08-11 07:54:34.340087801 +0200
+@@ -19,7 +19,7 @@
+ -- Where do you want WordGrinder installed? By default, it goes into your
+ -- home directory.
+
+-PREFIX = HOME
++PREFIX = "/usr"
+ -- PREFIX = "/usr/local"
+
+ -- What build flags do you want to use? (Not including -g or -Os, which are
+@@ -45,8 +45,8 @@
+ }
+
+ CINCLUDES = {
+- "/usr/include/ncursesw",
+- "/usr/include/lua5.1",
++ "/usr/include/ncurses",
++ "/usr/include",
+ "src/c"
+ }
+
+@@ -215,7 +215,7 @@
+ CLIBRARIES = {
+ PARENT,
+ 'ncursesw',
+- 'lua5.1'
++ 'lua'
+ }
+ }
+
+@@ -300,7 +300,7 @@
+
+ wordgrinder_release_exe = group {
+ wordgrinder_curses_exe,
+- CBUILDFLAGS = {PARENT, '-Os'},
++ CBUILDFLAGS = {PARENT, @CFLAGS@},
+ LUABUILDFLAGS = {PARENT, '-s'},
+ CDEFINES = {PARENT, 'NDEBUG'},
+ CLINKFLAGS = {PARENT, '-s'},
diff --git a/office/wordgrinder/slack-desc b/office/wordgrinder/slack-desc
new file mode 100644
index 0000000000..49359f2c61
--- /dev/null
+++ b/office/wordgrinder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wordgrinder: wordgrinder (ncurses word processor)
+wordgrinder:
+wordgrinder: WordGrinder is a Unicode-aware character cell word processor that runs
+wordgrinder: in a terminal. It is designed to get the hell out of your way and let
+wordgrinder: you get some work done.
+wordgrinder:
+wordgrinder: homepage: http://wordgrinder.sourceforge.net/
+wordgrinder:
+wordgrinder:
+wordgrinder:
+wordgrinder:
diff --git a/office/wordgrinder/wordgrinder.SlackBuild b/office/wordgrinder/wordgrinder.SlackBuild
new file mode 100644
index 0000000000..1e3a133f0d
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for wordgrinder
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=wordgrinder
+VERSION=${VERSION:-0.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="'-O2', '-march=i486', '-mtune=i686'"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="'-O2', '-march=i686', '-mtune=i686'"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="'-O2', '-fPIC'"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="'-O2'"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="COPYING README.Unix README.wg"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the pm setup
+patch -p1 < $CWD/pmfile.patch
+sed -i "s|@CFLAGS@|$SLKCFLAGS|" pmfile
+
+./pm wordgrinder_release_exe
+install -D -m 755 .pm-cache/34-1-utils $PKG/usr/bin/wordgrinder
+install -D -m 644 wordgrinder.man $PKG/usr/man/man1/wordgrinder.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/wordgrinder/wordgrinder.info b/office/wordgrinder/wordgrinder.info
new file mode 100644
index 0000000000..e35bf37d47
--- /dev/null
+++ b/office/wordgrinder/wordgrinder.info
@@ -0,0 +1,10 @@
+PRGNAM="wordgrinder"
+VERSION="0.3.3"
+HOMEPAGE="http://wordgrinder.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/wordgrinder/wordgrinder-0.3.3.tar.bz2"
+MD5SUM="1ae3bcf2fc4ee027bdd9518a73733505"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="luafilesystem"
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"